package ebaiapi

import (
	"testing"

	"git.rosy.net.cn/baseapi/utils"
)

func TestBegetActivityList(t *testing.T) {
	actList, err := api.BegetActivityList(PageActivityShowStatusEnded, PageActivityTypeSkuDiscount, 0, 2233065879)
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(actList, false))
		t.Log(len(actList))
	}
}

func TestBegetActSkuList(t *testing.T) {
	actSkuList, err := api.BegetActSkuList(3000000001477429, 0, 2233065879)
	if err != nil {
		t.Fatal(err)
	} else {
		t.Log(utils.Format4Output(actSkuList, false))
		t.Log(len(actSkuList))
	}
}
